﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using Infragistics.Win.AppStyling;
using Infragistics.Win.AppStyling.Runtime;

namespace ComboCheckBoxItems
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            StyleManager.Load(@"C:\prm\Progress\TyrePro\client\tyreprostartup\configuration\styles\Office2007Blue.isl");

            var styleLib = new ApplicationStyleLibrary();

            styleLib.LoadFromStyleManager();

            var settings = styleLib.StyleSets[styleLib.DefaultStyleSet];

            if (settings == null)
            {
                settings = styleLib.StyleSets.Add("Default");
                styleLib.DefaultStyleSet = settings.Key;
            }

            var style = settings.RoleStyles.GetStyle("Base", true);
            StateSettings curr = null;

            if (style.States.Exists(RoleState.Normal))
            {
                curr = style.States[RoleState.Normal];
            }
            else
            {
                curr = style.States.Add(RoleState.Normal);
            }

            curr.Appearance.FontData.Name = "Microsoft Sans Serif";
            curr.Appearance.FontData.SizeInPoints = 8.25f;

            styleLib.UpdateStyleManager();

            Application.Run(new Form1());
        }
    }
}
